/**
 * XRoleClassCoverageInvoice2.java
 *
 * File generated from the medication2::XRoleClassCoverageInvoice2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XRoleClassCoverageInvoice2.
 *
 * 
 */

@XmlType(name = "XRoleClassCoverageInvoice")
@XmlEnum
@XmlRootElement(name = "XRoleClassCoverageInvoice2")
public enum XRoleClassCoverageInvoice2 {
	@XmlEnumValue("PAYEE")
	PAYEE("PAYEE"),
	@XmlEnumValue("PAYOR")
	PAYOR("PAYOR");
	
	private final String value;

    XRoleClassCoverageInvoice2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XRoleClassCoverageInvoice2 fromValue(String v) {
        for (XRoleClassCoverageInvoice2 c: XRoleClassCoverageInvoice2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
